#include <QtGui>

#include "qtparamprincipale.h"
#include "ui_qtparamprincipale.h"
#include "qtparammodal.h"
#include "qtmesparametres.h"

QtParamPrincipale::QtParamPrincipale(QWidget *parent) :
    QMainWindow(parent), ui(new Ui::QtParamPrincipale)
{
    ui->setupUi(this);
    m_params = new QtMesParametres;
    //connect(pointeur_sur_emetteur, SIGNAL(signal()), pointeur_sur_recepteur, SIGNAL/SLOT(symbole_a_appeler()));
    //connect(ui->restorLineEdit_2, SIGNAL(clicked()), qApp, SLOT(QtParamModal.validClicked());
}

QtParamPrincipale::~QtParamPrincipale()
{
    delete ui;
}

void QtParamPrincipale::on_pushButton_clicked()
{
    m_fenetreSecondaire = new QtParamModal(m_params, this);
    m_fenetreSecondaire->setModal(true);
    m_fenetreSecondaire->show();
    connect(m_fenetreSecondaire, SIGNAL(aLaFermeture()), this, SLOT(on_restorLineEdit_2_clicked()));
    m_fenetreSecondaire->exec();
    ui->lineEdit->setText(m_params->getParam1());
}

void QtParamPrincipale::on_saveLineEdit_2_clicked()
{
    m_params->setParam2(ui->lineEdit_2->text());

}

void QtParamPrincipale::on_restorLineEdit_2_clicked()
{
    ui->lineEdit_2->setText(m_params->getParam2());
}
