#ifndef QTPARAMMODAL_H
#define QTPARAMMODAL_H

#include <QDialog>

class QLineEdit;
class QLabel;
class QtMesParametres;

class QtParamModal : public QDialog
{
    Q_OBJECT

public:
QtParamModal(QtMesParametres *params, QWidget *parent=0);

void closeEvent(QCloseEvent* event) {
     QWidget::closeEvent(event); // on appelle la fonction du parent
     emit aLaFermeture();
}

    ~QtParamModal();

signals:
   void aLaFermeture();

public slots:
    void validClicked();

private:
    QLineEdit *m_paramEdit;
    QLabel *textLabelParam1;
    QPushButton *param1Button;
    QtMesParametres *m_params;
};

#endif // QTPARAMMODAL_H
